﻿using System;
using System.Collections.Generic;
using Modèle;
using Persistance;

namespace StubLib
{
    public class Stub : IPersistanceManager
    {

        private List<Requin> requins = new List<Requin>();
        private List<Requin> requinsEdit = new List<Requin>();
        private List<Requin> requinsAdd = new List<Requin>();

        private List<Personne> utilisateurs = new List<Personne>();

        public Stub()
        {
            // Requins
            List<Zone> zone = new List<Zone> { Zone.ATLANTIQUE };
            List<Zone> zone2 = new List<Zone> { Zone.PACIFIQUE };
            requins.Add(new Requin("mon requin adoré", "trop cool ce requin", "wow il est trop bo", "Images/Dormeur-Mexicain.png", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EW, zone, "(C'est pas un vrai requin)"));
            requins.Add(new Requin("Banane", "Le requin banal", "C'est un requin ultra banal", "Images/White_shark.png", "Videos/Vid-Requin-Blanc.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.LC, zone, "Il est pas aussi banal qu'il en a l'air"));
            requins.Add(new Requin("Req1", "Le requin pas banal", "C'est un requin pas ultra banal", "Images/White_shark.png", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EX, zone2, "Il est vraiment pas banal"));
            requinsAdd.Add(new Requin("leRequinAjouté", "Le requin pas banal", "C'est un requin pas ultra banal", "Images/White_shark.png", "Videos/Vid-dormeur-mexicain.mp4", "Images/rep_Heterodontus_mexicanus.png", Conservation.EX, zone2, "Il est vraiment pas banal"));
            utilisateurs.Add(new Utilisateur("a", "salut"));
            utilisateurs.Add(new Expert("salut", "hey", "bob"));
            // Utilisateurs
        
        }

        public List<Requin> LoadRequins()
        {
            return new List<Requin>(requins);
        }

        public void SaveRequins(List<Requin> reqs)
        {
            requins = reqs;
        }

        public List<Requin> LoadRequinsAdd()
        {
            return new List<Requin>(requinsAdd);
        }

        public void SaveRequinsAdd(List<Requin> reqs)
        {
            requins = reqs;
        }

        public List<Requin> LoadRequinsEdit()
        {
            return new List<Requin>(requinsEdit);
        }

        public void SaveRequinsEdit(List<Requin> reqs)
        {
            requinsEdit = reqs;
        }

        public List<Personne> LoadUsers()
        {
            return new List<Personne>(utilisateurs);
        }

        public void SaveUsers(List<Personne> users)
        {
            utilisateurs = users;
        }
    }
}
